> For the complete documentation index, see [llms.txt](https://docs.mnx.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.mnx.io/api/using-the-vnc-console.md).

# Using the VNC console

## Getting access to the console

To gain access to the console, you must have the [Triton CLI tools installed](/api/triton-cli-tool.md).     Configure the environmental variables.   As an example:

```
$ export SDC_ACCOUNT="<your username>";
$ export SDC_KEY_ID="<your SSH key ID (XX:XX:XX:XX...)";
$ export SDC_URL="https://us-central-1.api.mnx.io";
```

{% hint style="info" %}
&#x20;Login to the portal and these are generated for you at <https://portal.mnx.io/faq/triton-cli/>.
{% endhint %}

Next, use the triton CLI to establish a VNC proxy session

{% code title="Using triton-cli to establish a VNC session" %}

```bash
$ triton inst ls
SHORTID   NAME          IMG                  STATE    FLAGS  AGE
dec9179d  mnx-test-vnc  centos-8@20200528    running  K      19w
1928324a  mnx-webserve  freebsd-12@20190424  running  K      18w

$ triton inst vnc dec9179d
Listening on vnc://127.0.0.1:60823
```

{% endcode %}

Now, use your VNC program to connect to the listening address and you will have access to the console.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.mnx.io/api/using-the-vnc-console.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
